> # NAME

> cgGetNamedSubParameter - gets a "shallow" or "deep" parameter from an aggregate parameter (ie struct, array, etc.)

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGparameter cgGetNamedSubParameter( CGparameter param,
>                                           const char * name );

> # PARAMETERS

> param

>   Aggregate parameter.

> name

>   Name of the parameter inside the aggregate parameter (param) being requested.

> # RETURN VALUES

> Returns the named parameter.

> Returns NULL if param has no parameter corresponding to name.

> # DESCRIPTION

> cgGetNamedSubParameter is a generalized parameter getter function that will retrieve parameters, including deep parameters, of an aggregate parameter type such as a structure or an array.

> # EXAMPLES

>       CGparameter parent = cgGetNamedParameter( program, "someParameter" );
>       CGparameter deepChild = cgGetNamedSubParameter( parent, "foo.list[3].item" );

>       /* Note: 'deepChild' is the same parameter returned by:
>          cgGetNamedParameter( program, "someParameter.foo.list[3].item" ); */

> # ERRORS

> None.

> # HISTORY

> cgGetNamedSubParameter was introduced in Cg 1.5.

> # SEE ALSO

> cgGetNamedParameter, cgGetNamedStructParameter, cgGetArrayParameter